<?php

/**
 * Enqueue scripts and styles.
 */

function azzle_scripts() {
    wp_enqueue_style( 'google-fonts', '//fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,600;9..40,700&family=Inter:wght@400;500;600&display=swap');
    wp_enqueue_style( 'font-awesomes', get_theme_file_uri( '/assets/css/all.min.css' ), array(), '5.15.1' );

	wp_enqueue_style('select2', get_theme_file_uri( '/assets/css/select2.min.css'), array(), null);
    wp_enqueue_style( 'bootstrap', get_theme_file_uri( '/assets/css/bootstrap.min.css' ), array(), '4.0' );
    wp_enqueue_style( 'nice-select', get_theme_file_uri( '/assets/css/nice-select.min.css' ), array(), 'null' );
    wp_enqueue_style( 'azzle-core', get_theme_file_uri( '/assets/css/core.css' ), array(), AZZLE_THEME_VERSION );
    wp_enqueue_style( 'azzle-custom', get_theme_file_uri( '/assets/css/theme-style.css' ), array(), AZZLE_THEME_VERSION );
    wp_enqueue_style( 'azzle-style', get_stylesheet_uri(), array(), AZZLE_THEME_VERSION );
    wp_enqueue_style( 'azzle-responsive', get_theme_file_uri( '/assets/css/theme-responsive.css' ), array(), AZZLE_THEME_VERSION );

    wp_enqueue_script( 'jquery-masonry' );
	wp_enqueue_script('select2', get_theme_file_uri( '/assets/js/select2.min.js'), array('jquery'), null, true);
    wp_enqueue_script( 'nice-select', get_theme_file_uri( '/assets/js/jquery.nice-select.min.js' ), array( 'jquery' ), null, true );
    wp_enqueue_script( 'azzle-main', get_theme_file_uri( '/assets/js/azzle-main.js' ), array( 'jquery' ), AZZLE_THEME_VERSION, true );
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'azzle_scripts' );

/**
 * Registers an editor stylesheet for the theme.
 */
function azzle_theme_add_editor_styles() {
    add_editor_style( get_theme_file_uri( '/assets/css/editor-style.css' ) );
}
add_action( 'admin_init', 'azzle_theme_add_editor_styles' );
