<?php

/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package azzle
 */

use AzzleTheme\Inc\Classes\Azzle_Main;

get_header();

$azzleObj = new Azzle_Main();
$azzleObj->azzle_breadcrumb_bridge();

$azzle = get_option('azzle');
$grid = (isset($azzle['blog_grid'])) ? $azzle['blog_grid'] : 'one-column';

?>

<div class="content-block sp-80">
	<div class="container">
		<div class="row blog-content-row justify-content-center">

			<?php
			// If Redux Framework Active
			if (have_posts()) :

				if (class_exists('ReduxFrameworkPlugin')) :
					$azzleObj->postMarkupGenerator($azzle['blog_layout'], $grid);

				else : // If Redux Framework Is Not Active

					$azzleObj->postMarkupGenerator(null, $grid);

				endif;
			else :
				get_template_part('template-parts/contents/content-none');
			endif;
			?>
		</div>
	</div>
</div>


<?php
get_footer();
